{
    "$graph": [
        {
            "class": "CommandLineTool",
            "hints": [
                {
                    "dockerPull": "ncbi/blast_contamfilter",
                    "class": "DockerRequirement"
                }
            ],
            "baseCommand": "vecscreen",
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-d"
                    },
                    "id": "#vecscreen.cwl/db"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "vecscreen.out",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#vecscreen.cwl/outfile"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "3",
                    "inputBinding": {
                        "prefix": "-f"
                    },
                    "id": "#vecscreen.cwl/outfmt"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-i"
                    },
                    "id": "#vecscreen.cwl/query"
                }
            ],
            "id": "#vecscreen.cwl",
            "outputs": [
                {
                    "id": "#vecscreen.cwl/output",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.outfile)"
                    }
                }
            ]
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SchemaDefRequirement",
                    "types": [
                        {
                            "name": "#typedefs.yaml/BlastnType",
                            "type": "record",
                            "fields": [
                                {
                                    "name": "#typedefs.yaml/BlastnType/db",
                                    "type": "string"
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/dbtype",
                                    "type": "string"
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/outfmt",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/best_hit_overhang",
                                    "type": [
                                        "null",
                                        "double"
                                    ]
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/best_hit_score_edge",
                                    "type": [
                                        "null",
                                        "double"
                                    ]
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/dust",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/evalue",
                                    "type": [
                                        "null",
                                        "double"
                                    ]
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/gapextend",
                                    "type": [
                                        "null",
                                        "int"
                                    ]
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/gapopen",
                                    "type": [
                                        "null",
                                        "int"
                                    ]
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/penalty",
                                    "type": [
                                        "null",
                                        "int"
                                    ]
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/perc_identity",
                                    "type": [
                                        "null",
                                        "double"
                                    ]
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/reward",
                                    "type": [
                                        "null",
                                        "int"
                                    ]
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/soft_masking",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/task",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/template_length",
                                    "type": [
                                        "null",
                                        "int"
                                    ]
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/template_type",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/window_size",
                                    "type": [
                                        "null",
                                        "int"
                                    ]
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/word_size",
                                    "type": [
                                        "null",
                                        "int"
                                    ]
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/xdrop_gap",
                                    "type": [
                                        "null",
                                        "int"
                                    ]
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/no_greedy",
                                    "type": [
                                        "null",
                                        "boolean"
                                    ]
                                }
                            ]
                        },
                        {
                            "name": "#typedefs.yaml/KaryotType",
                            "type": "enum",
                            "symbols": [
                                "#typedefs.yaml/KaryotType/pro",
                                "#typedefs.yaml/KaryotType/eu"
                            ]
                        },
                        {
                            "name": "#typedefs.yaml/SettingsType",
                            "type": "record",
                            "fields": [
                                {
                                    "name": "#typedefs.yaml/SettingsType/common",
                                    "type": {
                                        "type": "array",
                                        "items": "#typedefs.yaml/BlastnType"
                                    }
                                },
                                {
                                    "name": "#typedefs.yaml/SettingsType/prok",
                                    "type": "#typedefs.yaml/BlastnType"
                                },
                                {
                                    "name": "#typedefs.yaml/SettingsType/euk",
                                    "type": "#typedefs.yaml/BlastnType"
                                },
                                {
                                    "name": "#typedefs.yaml/SettingsType/prok_adapt",
                                    "type": "#typedefs.yaml/BlastnType"
                                },
                                {
                                    "name": "#typedefs.yaml/SettingsType/euk_adapt",
                                    "type": "#typedefs.yaml/BlastnType"
                                }
                            ]
                        }
                    ],
                    "id": "#typedefs.yaml"
                },
                {
                    "class": "StepInputExpressionRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "#typedefs.yaml/BlastnType",
                    "id": "#main/euk_adapt"
                },
                {
                    "type": "#typedefs.yaml/KaryotType",
                    "id": "#main/karyot_type"
                },
                {
                    "type": "#typedefs.yaml/BlastnType",
                    "id": "#main/prok_adapt"
                },
                {
                    "type": "File",
                    "id": "#main/query"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/filter/output",
                    "id": "#main/output"
                }
            ],
            "steps": [
                {
                    "in": [
                        {
                            "source": "#main/euk_adapt",
                            "id": "#main/choose_adapt/euk"
                        },
                        {
                            "source": "#main/karyot_type",
                            "id": "#main/choose_adapt/karyot"
                        },
                        {
                            "source": "#main/prok_adapt",
                            "id": "#main/choose_adapt/prok"
                        }
                    ],
                    "out": [
                        "#main/choose_adapt/output"
                    ],
                    "run": {
                        "class": "ExpressionTool",
                        "inputs": [
                            {
                                "type": "#typedefs.yaml/BlastnType",
                                "id": "#main/choose_adapt/c5145439-1377-4a31-93e4-3b3198097cb1/euk"
                            },
                            {
                                "type": "#typedefs.yaml/KaryotType",
                                "id": "#main/choose_adapt/c5145439-1377-4a31-93e4-3b3198097cb1/karyot"
                            },
                            {
                                "type": "#typedefs.yaml/BlastnType",
                                "id": "#main/choose_adapt/c5145439-1377-4a31-93e4-3b3198097cb1/prok"
                            }
                        ],
                        "outputs": [
                            {
                                "type": "#typedefs.yaml/BlastnType",
                                "id": "#main/choose_adapt/c5145439-1377-4a31-93e4-3b3198097cb1/output"
                            }
                        ],
                        "expression": "${\n  if (inputs.karyot == \"pro\") return {'output': inputs.prok}\n  return {'output': inputs.euk}\n}\n",
                        "id": "#main/choose_adapt/c5145439-1377-4a31-93e4-3b3198097cb1"
                    },
                    "id": "#main/choose_adapt"
                },
                {
                    "in": [
                        {
                            "source": "#main/vecscreen/output",
                            "id": "#main/filter/infile"
                        }
                    ],
                    "out": [
                        "#main/filter/output"
                    ],
                    "run": {
                        "class": "CommandLineTool",
                        "hints": [
                            {
                                "dockerPull": "ncbi/blast_contamfilter",
                                "class": "DockerRequirement"
                            }
                        ],
                        "baseCommand": "VSlistTo1HitPerLine.awk",
                        "stdout": "vecscreen.output",
                        "inputs": [
                            {
                                "type": "File",
                                "inputBinding": {
                                    "position": 1
                                },
                                "id": "#main/filter/a51d9f2e-8a04-4fac-a188-72f00b551e30/infile"
                            }
                        ],
                        "outputs": [
                            {
                                "type": "File",
                                "id": "#main/filter/a51d9f2e-8a04-4fac-a188-72f00b551e30/output",
                                "outputBinding": {
                                    "glob": "vecscreen.output"
                                }
                            }
                        ],
                        "id": "#main/filter/a51d9f2e-8a04-4fac-a188-72f00b551e30"
                    },
                    "id": "#main/filter"
                },
                {
                    "in": [
                        {
                            "source": "#main/choose_adapt/output",
                            "valueFrom": "$(self.db)",
                            "id": "#main/vecscreen/db"
                        },
                        {
                            "source": "#main/query",
                            "id": "#main/vecscreen/query"
                        }
                    ],
                    "out": [
                        "#main/vecscreen/output"
                    ],
                    "run": "#vecscreen.cwl",
                    "id": "#main/vecscreen"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
